<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
  <head>
    <meta http-equiv="Content-Type" content="text/html; charset=ISO-8859-1" />
    <meta name="GENERATOR" content="Quadralay WebWorks Publisher Professional Edition 6.0.7" />
    <meta name="TEMPLATEBASE" content="DataDirect WWH 2.0" />
    <meta name="LASTUPDATED" content="09/05/02 10:39:48" />
    <title>Error Handling</title>
    <link rel="StyleSheet" href="document.css" type="text/css" media="screen" />
  </head>

  <body>
    <script type="text/javascript" language="JavaScript">
     <!--
      function  WWHUpdateFavorite(ParamHREF)
      {
        if ((parent != null) &&
            (parent.WWHelpFrameSet != null))
        {
          parent.WWHelpFrameSet.fUpdateFavorite(ParamHREF);
        }
      }

      function  WWHSyncTOC(ParamHREF)
      {
        if ((parent != null) &&
            (parent.WWHelpFrameSet != null))
        {
          parent.WWHelpFrameSet.fSyncTOC(ParamHREF);
        }
      }

      function  WWHShowPopup(ParamContext,
                             ParamLink,
                             ParamEvent)
      {
        if ((parent != null) &&
            (parent.WWHelpFrameSet != null))
        {
          parent.WWHelpFrameSet.fShowPopup(ParamContext, ParamLink, ParamEvent);
        }
      }

      function  WWHHidePopup()
      {
        if ((parent != null) &&
            (parent.WWHelpFrameSet != null))
        {
          parent.WWHelpFrameSet.fHidePopup();
        }
      }

      function  WWHClickedPopup(ParamContext,
                                ParamLink)
      {
        if ((parent != null) &&
            (parent.WWHelpFrameSet != null))
        {
          location.href = parent.WWHelpFrameSet.fClickedPopup(ParamContext, ParamLink);
        }
      }
     // -->
    </script>

    <script type="text/javascript" language="JavaScript">
     <!--
      var  WWHelpHREF = location.href;


      WWHUpdateFavorite(WWHelpHREF);
     // -->
    </script>

    <blockquote>
<h2 id="539409" class="NewHTMLPage">
  <a name="539409"> </a>Error Handling
</h2><hr />
<p id="539410" class="Body">
  <a name="539410"> </a>The SQL Server 2000 Driver for JDBC reports errors to the calling application by throwing SQLExceptions. Each SQLException contains the following information:
</p>
<ul type="square">
  <li class="SmartList1"><a name="539411"> </a>Description of the probable cause of the error, prefixed by the component that generated the error</li>
  <li class="SmartList1"><a name="539412"> </a>Native error code (if applicable)</li>
  <li class="SmartList1"><a name="539413"> </a>String containing the XOPEN SQLstate</li>
</ul>
<h3 id="539426" class="Heading2">
  <a name="539426"> </a>SQL Server 2000 Driver for JDBC Errors 
</h3>
<p id="539427" class="Body">
  <a name="539427"> </a>An error generated by the SQL Server 2000 Driver for JDBC has the following format:
</p>
<pre  class="Preformatted">
[Microsoft][SQL Server 2000 Driver for JDBC]<em>message</em><a name="539429"> </a>
</pre>
<p id="997061" class="Body">
  <a name="997061"> </a>For example:
</p>
<pre  class="Preformatted">
[Microsoft][SQL Server 2000 Driver for JDBC]Timeout expired.<a name="997062"> </a>
</pre>
<p id="997063" class="Body">
  <a name="997063"> </a>You may, at times, need to check the last JDBC call your application made and refer to the JDBC specification for the recommended action.
</p>
<h3 id="539434" class="Heading2">
  <a name="539434"> </a>Database Errors 
</h3>
<p id="539435" class="Body">
  <a name="539435"> </a>An error generated by the database has the following format:
</p>
<pre  class="Preformatted">
[Microsoft][SQL Server 2000 Driver for JDBC][SQL Server] <em>message</em><a name="539437"> </a>
</pre>
<p id="539438" class="Body">
  <a name="539438"> </a>For example:
</p>
<pre  class="Preformatted">
[Microsoft][SQL Server 2000 Driver for JDBC][SQL Server]<a name="539439"> </a>
Invalid Object Name.<a name="547816"> </a>
</pre>
<p id="539440" class="Body">
  <a name="539440"> </a>Use the native error code to look up details about the possible cause of the error. For these details, refer to your database documentation.
</p>
    </blockquote>

    <hr />

    <table border="0">
      <tr>
        <td width="23">
<a href="usejdbc6.html">
      <img alt="Previous Document" border="0" src="images/prev.gif" width="23" height="21" />
    </a>
        </td>
        <td width="23" class="CellBody">
        Previous Page       
        </td>
        <td width="23">
<a href="usejdbc8.html">
      <img alt="Next Document" border="0" src="images/next.gif" width="23" height="21" />
    </a>
        </td>
        <td width="23" class="CellBody">
        Next Page       
        </td>
        <td width="23">
          <a href="javascript:WWHSyncTOC(WWHelpHREF);">
            <img alt="Synchronize TOC" border="0" src="images/sync.gif" width="23" height="21" />
          </a>
        </td>
        <td width="120" class="CellBody">
        Synchronize with Contents
        </td>
      </tr>
    </table>

   <div id="WWHelpPopupDIV" style="position: absolute ; z-index: 1 ; visibility: hidden ; top: 0px ; left: 0px">
    <script type="text/javascript" language="JavaScript">
     <!--
      if ((parent != null) &&
          (parent.WWHelpFrameSet != null))
      {
        if (document.all != null)  // Non-Netscape browser
        {
          document.writeln(parent.WWHelpFrameSet.mPopup.fFormat("Popup"));
        }
      }
     // -->
    </script>
   </div>
  </body>
</html>
